Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 21 May 2021 03:09:30 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Hi Centerpoint

I am very disappointed I got a 100 Riyal voucher, and after 30 minutes when I try to use it, I was getting below error that the order amount should be 400 or above, but my order is 530. And when I call customer care first, they told me to try from the App, and it was the same, and when I called them again, they said it is already expired before Ramadhan. How come you can send me an expired voucher. I purchased 10 of thousands of riyal product from Centerpoint, but this one disappoints me too much.
Please respond to me ASAP.

Zeeshan Khan https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2582893